%**************************************************************************
%                 SnappyHexMesh Addlayer utilities
% Gang Wang, Norwegian University of Science and Technology
% Please contact with PhD candidate Gang Wang for more information
% E-mail: gang.wang@ntnu.no, wg0632@gmail.com
%**************************************************************************
clc;clear;
% BlockSize = 0.4/106/(2.05/0.49);
% BlockSize = 0.4/80;
BlockSize=input("Please enter the blockMesh size in blockMeshdict");
Level = input("Please enter the total Level of snappyHexMesh");
%SM = 5e-04;
SurfaceMesh = BlockSize / (2^(Level));
LN = input("Please enter the Layer Number");
finalLT = input("Please enter the finalLayerThickness (Relative Value)");
warning("Please check the first layer thickness");
%firstLT = 1.5e-5;% 
firstLT=input("Please enter the firstLayerThickness (Real Value, not Relative Value)");
finalLTR = finalLT * SurfaceMesh;
expansionRatio = (finalLTR / firstLT)^(1/(LN-1));
if (expansionRatio<1.05)
    warning("The expansionRatio cannot be smaller than 1.05! ")
    return
end
a=[];a=[a,firstLT];b=firstLT;
for i=1:(LN-1)
    b = b * expansionRatio;
    a=[a,b];
end
Thickness_of_total_layers=sum(a);